#!/bin/bash

# Questo script serve per controllare che nel sistema siano installate
# tutte le librerie necessarie per l'esecuzione del programma indicato
# come primo parametro.

library_path_1=/usr/lib
library_path_2=/lib
program_path=${1}

if [ "${program_path}" == "" ]; then
    echo "USAGE  : $0 <executable>"
    echo "EXAMPLE: $0 ./setup"
    
    exit 1;
fi

if [ ! -f ${program_path} ]; then
    echo "ERROR: Can't find the ${program_path} executable."
    
    exit 1;
fi

find_error=0
for library in $(ldd ${program_path} | awk '{print $1}'); do
    printf "Searching for library: %24s ..." "${library}"
    if [ "$(echo ${library} | grep -iF 'linux-gate.so')" != "" ]; then
	echo "found. (DSO)"
    else
	if [ "$(echo ${library} | grep -i '^/')" != "" ]; then
	    if [ -f ${library} ]; then
		echo "found"
	    else
		echo "don't found !"
		find_error=1
	    fi
	else
	    if [ "$(find ${library_path_1} -name ${library})" != "" ]; then
		echo "found"
	    else
		if [ "$(find ${library_path_2} -name ${library})" != "" ]; then
		    echo "found"
		else
		    echo "don't found !"
		    find_error=1
		fi
	    fi
	fi
    fi
done

if [ ${find_error} == 0 ]; then
    echo "OK: All library dependencies of ${program_path} are successfully found."
else
    echo "ERROR: Some library dependencies of ${program_path} are not found."
fi