#!/bin/bash

# Version 3.7
# ___________


xchat_path=.xchat2

if [ "${HOME}" == "/root" ]; then
    echo "FATAL ERROR: You cannot install setup GUI from root user !"
    echo "ABORT."

    exit 255
fi

echo "Installing Setup Graphic Interface:"
echo " * Verifing ${HOME}/${xchat_path} directory ..."
if [ -f ${HOME}/${xchat_path} ]; then
        echo "OOPS, ${HOME}/${xchat_path} don't found !"
        exit 0;
fi
echo "... done."
echo " * Verifing ${HOME}/${xchat_path}/buduscript directory ..."
if [ ! -d ${HOME}/${xchat_path}/buduscript ]; then
        echo "OOPS, ${HOME}/${xchat_path}/buduscript don't found !"
	echo "You have not installed BuDuScRiPt... you install it before graphics setup software."
	echo "Donwload BuDuScRiPt from:  http://digilander.libero.it/udasoft/Software/Linux/buduscript"
	exit 0;
fi
echo "... done."
echo " * Verifing ${HOME}/${xchat_path}/buduscript_setup directory ..."
if [ ! -d ${HOME}/${xchat_path}/buduscript_setup ]; then
        echo "OOPS, ${HOME}/${xchat_path}/buduscript_setup don't found !"
	echo " * Create it ..."
	mkdir ${HOME}/${xchat_path}/buduscript_setup
	if [ ! -d ${HOME}/${xchat_path}/buduscript_setup ]; then
	        echo "OOPS, ${HOME}/${xchat_path}/buduscript_setup don't found !"
		echo "Permission problem ? :-/"
		exit 0;
	fi
fi
echo "... done."

currend_dir=$(pwd)
if [ "${current_dir:-NULL}" != "NULL" ] && [ "${current_dir}" != "${HOME}/${xchat_path}/buduscript_setup" ]; then
	echo " * Copying the package files ..."
	cp -fv * ${HOME}/${xchat_path}/buduscript_setup
	echo "... done."
	echo " * Change current directory"
	cd ${HOME}/
fi
echo " * Verifing setup.mcr ..."
if [ ! -f setup.mcr ]; then
	echo "OOPS, setup.mcr don't found in current directory !"
	exit 0;
fi
echo "... done."
echo " * Verifing setup.dat ..."
if [ ! -f setup.dat ]; then
        echo "OOPS, setup.dat don't found in current directory !"
        exit 0;
fi
echo "... done."
if [ -f ${HOME}/${xchat_path}/buduscript/setup.mcr ]; then
	echo " * Removing old link ..."
	rm -fv ${HOME}/${xchat_path}/buduscript/setup.mcr
	if [ -f ${HOME}/${xchat_path}/buduscript/setup.mcr ]; then
	    echo "FATAL ERROR: Cannot remove old link !"

	    exit 0;
	fi
	echo "... done."
fi
if [ -f ${HOME}/${xchat_path}/buduscript/setup.dat ]; then
        echo " * Removing old link ..."
        rm -fv ${HOME}/${xchat_path}/buduscript/setup.dat
	if [ -f ${HOME}/${xchat_path}/buduscript/setup.dat ]; then
	    echo "FATAL ERROR: Cannot remove old link !"
	    
	    exit 0;
	fi
        echo "... done."
fi
echo "Making Simbolic Links ..."
current_dir=$(pwd)
ln -vs ${current_dir}/setup.mcr ${HOME}/${xchat_path}/buduscript/setup.mcr
ln -vs ${current_dir}/setup.dat ${HOME}/${xchat_path}/buduscript
echo "... done."
echo ""
echo -n "From HOME directory run setup with: .xchat2/buduscript_setup/"
[ "$(file /sbin/init | awk '{print $3}')" == "$(file $HOME/.xchat2/buduscript_setup/setup | awk '{print $3}')" ] && echo "setup" || echo "x86_64-unknown-linux-gnu-setup"
echo "otherwise, use this command with XChat: /budus macro setup"